Download it now!
Bug 75195 - PDF import: extra strokes on top of small polygons
Summary: PDF import: extra strokes on top of small polygons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: vvort
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-19 10:29 UTC by vvort
Modified: 2014-02-22 07:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Bad and good visualizations (62.58 KB, image/png)
2014-02-19 10:29 UTC, vvort
Details
PDF Test 1 (30.21 KB, application/pdf)
2014-02-19 10:30 UTC, vvort
Details
PDF Test 2 (153.95 KB, application/pdf)
2014-02-19 10:30 UTC, vvort
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vvort 2014-02-19 10:29:37 UTC
Created attachment 94336 [details]
Bad and good visualizations

When fixing Bug 37246, I have found that test PDF contains unneeded strokes with incorrect colors.
Investigation of this bug led me to commit
http://cgit.freedesktop.org/libreoffice/core/commit/?id=128adf7e5c06fff378c8d72b44ec4be1e462984f
and to Bug #109708 from OpenOffice:
https://issues.apache.org/ooo/show_bug.cgi?id=109708

I've tried to remove this commit and see what happens.
Surprisingly, existing negative effects were gone, while new ones was not appearing.

In comments to Bug #109708 we can find out that more correct solution to problem is to "Change the way of displaying objects"
https://wiki.openoffice.org/wiki/User:Joekidd/OpenOffice.org/Internship/PDFImport/Tasks/Issue109708

Which exactly, I suppose, was done.

Problematic and normal rendering you can see at attached image.
Both PDF used for testing are also attached.
Comment 1 vvort 2014-02-19 10:30:13 UTC
Created attachment 94337 [details]
PDF Test 1
Comment 2 vvort 2014-02-19 10:30:31 UTC
Created attachment 94338 [details]
PDF Test 2
Comment 3 vvort 2014-02-19 10:49:05 UTC
Revert-patch:
https://gerrit.libreoffice.org/8126
Comment 4 Commit Notification 2014-02-20 14:04:36 UTC
Vort committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f8e7741194d85e97f6cd6ce54235e735c883aa0

fdo#75195 PDF import: Revert commit 128adf7e5c06fff378c8d72b44ec4be1e462984f



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.